#include <stdio.h>
#include <X11/Xlib.h>
main()
{
   Display *d;
   Window w;
   GC gc1, gc2;
   XFontStruct *f1, *f2;
   int x, y;
   XChar2b kanji[2];
   static char *english = "English";
   static char *label = "Label";

   kanji[0].byte1 = 0x34;
   kanji[0].byte2 = 0x41;
   kanji[1].byte1 = 0x3b;
   kanji[1].byte2 = 0x7a;

   d = XOpenDisplay (NULL);
   w = XCreateSimpleWindow (d, RootWindow (d,0), 400, 200,
                            200, 100, 2, 0, 1);
   XMapWindow (d, w);

   f1 = XLoadQueryFont (d, "timR14");
   gc1 = XCreateGC (d, w, 0, NULL);
   XSetFont (d, gc1, f1->fid);

   f2 = XLoadQueryFont (d, "k14");
   gc2 = XCreateGC (d, w, 0, NULL);
   XSetFont (d, gc2, f2->fid);

   x = 50; y = 50;
   XDrawString (d, w, gc1, x, y, english, strlen (english));
   x += XTextWidth (f1, english, strlen (english));

   XDrawString16 (d, w, gc2, x, y, kanji, 2);
   x += XTextWidth16 (f2, kanji, 2);

   XDrawString (d, w, gc1, x, y, label, strlen (label));

   XFlush (d);
   getchar ();
}
